import { useState } from 'react';
import { motion } from 'framer-motion';
import NavBody from "./NavBody"
import NavFooter from "./NavFooter"


const links = [
    {
        title: "Home",
        href: "/"
    },
    {
        title: "Work",
        href: "/"
    },
    {
        title: "Services & Models",
        href: "/"
    },
    {
        title: "About",
        href: "/"
  
    },
    {
      title: "Contact",
      href: "/"
    }
]

const Navbar = () => {
    const [selectedLink, setSelectedLink] = useState({isActive: false, index: 0});
    const transition = {duration: 1, ease: [0.76, 0, 0.24, 1]}
    const height = {
        initial: {
            height: 0
        },
        enter: {
            height: "auto",
            transition
        },
            exit: {
            height: 0,
            transition
        }
    }

  return (
    <motion.div variants={height} initial="initial" animate="enter" exit="exit" className="overflow-hidden bg-[#FF5F38] flex flex-col">
        <div className="px-14 grid grid-cols-2">
            <div>
                <p>rejouice</p>
                <img src="https://images.unsplash.com/photo-1711843250654-43310460b3f8?q=80&w=2070&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D" alt="" 
                className='img-container w-[450px] h-[300px] object-cover relative'/>
            </div>
            <div>
                <NavBody links={links} selectedLink={selectedLink} setSelectedLink={setSelectedLink}/>
            </div>
        </div>
        <NavFooter/>
    </motion.div>
  )
}

export default Navbar